﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Diagnostics;

namespace Match_Snatch
{
    /// <summary>
    ///  Represents the computer player.
    ///  Calculates the best move to make based on the current situation
    /// </summary>
    public class CComputerPlayer
    {
        public CComputerPlayer()
        {
        }

        public int calcMove(int total, int limit)
        {
            // statements to aid with error checking
            Trace.Assert(total > 0, "Total is an invalid value.");
            Trace.Assert(limit > 0, "Limit is an invalid value.");

            // represents the equation used to calculate the computer's move
            int moveToMake = (total - 1) % (limit + 1);

            // keeps to the limits of the game:
            // ensures that the computer takes a mimimum of one match
            if (moveToMake < 1)
                moveToMake = 1;

            // returns the computer's move
            return moveToMake;
        }
    }
}
