﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Match_Snatch
{
    public partial class frmSettings : Form
    {
        public frmSettings()
        {
            InitializeComponent();
        }

        private void Form2_HelpRequested(object sender, HelpEventArgs hlpevent)
        {
            // sets up the F1 key to display a compiled help file
            // but if the mouse is clicked, then a message box is displayed
            if (Control.MouseButtons == MouseButtons.None)
            {
                //getHelp();
            }
            else
            {
                Point p = PointToClient(Cursor.Position);
                Control c = GetChildAtPoint(p);

                // if no control is clicked, then the function exits
                if (c == null)
                    return;

                // creates a string to output the help message
                string helpStr = toolTip1.GetToolTip(c);

                if (string.IsNullOrEmpty(helpStr))
                    helpStr = "No help is available for this control.";

                // displays the relevant message to the user and
                // sets the event to handled
                MessageBox.Show(helpStr, "Help");
                hlpevent.Handled = true;
            }
        }

        private void btnAccept_Click(object sender, EventArgs e)
        {
            if (!ValidateChildren(ValidationConstraints.Visible))
                DialogResult = DialogResult.None;
        }

        #region form properties
        public int Total
        {
            get { return (int)nudTotal.Value; }
            set { nudTotal.Value = value; }
        }

        public int Limit
        {
            get { return (int)nudLimit.Value; }
            set { nudLimit.Value = value; }
        }
        #endregion

        private void nudTotal_Validating(object sender, CancelEventArgs e)
        {
            string errMsg = null;

            if(nudTotal.Value <= nudLimit.Value)
            {
                errMsg = "Total must be greater than the limit, please alter either value until correct.";
                e.Cancel = true;
            }

            errorProvider1.SetError(nudTotal, errMsg);
        }
    }        
}
